Subject: Re: bug#6271: Auto-saving encrypted files

From: Daiki Ueno <[email-masked]>
Date: Mon, 31 May 2010 20:59:52 +0900

Stefan Monnier <[email-masked]> writes:

> Currently auto-save is disabled for files that are encrypted by
> epa-file.  While auto-saving without encrypting would indeed be
> completely wrong, we should make it work right by auto-saving the
> file in its encrypted form.
> AFAICT, this should be doable by letting the magic file name handler
> catch the #.*\.gpg# files as well.

Basically agreed, but a user will be prompted for passphrase each time
symmetric encryption takes place unless she enables passphrase caching.
So we should check the user setting at least.  Currently I don't see any
other issues.

Regards,
-- 
Daiki Ueno